For the complete documentation index, see llms.txt. This page is also available as Markdown.

URL

Scrape any Petco page by providing a direct URL, with support for store-specific results.

The petco data source is designed to retrieve any Petco URL data.

Request samples

In the samples below, we make a request to retrieve an example Petco URL.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "petco",
        "url": "https://www.petco.com/shop/en/petcostore/product/pro-plan-savor-shredded-blend-beef-and-rice-adult-dog-food",
        "render": "html"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'petco',
    'url': 'https://www.petco.com/shop/en/petcostore/product/pro-plan-savor-shredded-blend-beef-and-rice-adult-dog-food',
    'render': 'html'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

Request parameter values

Generic

Basic setup and customization options for scraping Lowe's URLs.

Parameter
Description
Default Value

source

Sets the scraper.

universal

url

Petco page URL.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Localization

Adapt regional results to specific stores.

Parameter
Description
Type

store_id

Specify a Petco store.

Integer

Last updated

Was this helpful?